> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Company Property Group

> Create a new company property group. Property groups allow you to more easily manage properties in a given portal and make contact records easier to parse for the user. If your integration is creating company properties, it's a good practice to create a new property group to include all of the properties you create.



## OpenAPI

````yaml specs/legacy/v1/crm-properties-v1-companies.json POST /properties/v1/companies/groups
openapi: 3.0.0
info:
  title: CRM Properties API v1 - Companies
  version: 1.0.0
  description: >-
    Legacy CRM Properties API v1 - Companies - Manage company properties and
    property groups
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /properties/v1/companies/groups:
    post:
      summary: Create a Company Property Group
      description: >-
        Create a new company property group. Property groups allow you to more
        easily manage properties in a given portal and make contact records
        easier to parse for the user. If your integration is creating company
        properties, it's a good practice to create a new property group to
        include all of the properties you create.
      operationId: postpropertiesv1companiesgroups
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyPropertyGroupCreate'
      responses:
        '201':
          description: Company property group created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyPropertyGroup'
      security:
        - oauth2:
            - crm.schemas.companies.write
        - oauth2_legacy: []
        - private_apps:
            - crm.schemas.companies.write
        - private_apps_legacy: []
components:
  schemas:
    CompanyPropertyGroupCreate:
      type: object
      required:
        - name
        - displayName
      properties:
        name:
          type: string
          description: >-
            The internal name of the property group. Must be unique and use only
            lowercase letters, numbers, and underscores.
        displayName:
          type: string
          description: The displayed name of the group
        displayOrder:
          type: integer
          description: The order of the group. Defaults to -1 if omitted.
    CompanyPropertyGroup:
      type: object
      properties:
        name:
          type: string
          description: The internal name of the property group
        displayName:
          type: string
          description: The displayed name of the group
        displayOrder:
          type: integer
          description: The order of the group when displaying properties
        hubspotDefined:
          type: boolean
          description: Whether the group is defined by HubSpot
        properties:
          type: array
          items:
            $ref: '#/components/schemas/CompanyProperty'
          description: Properties in this group (only included if includeProperties=true)
    CompanyProperty:
      type: object
      properties:
        name:
          type: string
          description: The internal name of the property
        label:
          type: string
          description: A human readable label for the property
        description:
          type: string
          description: A description of the property
        groupName:
          type: string
          description: The property group that the property belongs to
        type:
          type: string
          enum:
            - string
            - number
            - date
            - datetime
            - enumeration
          description: The data type that the property stores
        fieldType:
          type: string
          enum:
            - textarea
            - text
            - date
            - number
            - select
            - radio
            - checkbox
            - booleancheckbox
          description: Controls how the property appears in the HubSpot app
        options:
          type: array
          items:
            $ref: '#/components/schemas/PropertyOption'
          description: Options for enumeration properties
        displayOrder:
          type: integer
          description: >-
            Used to control the default order of the property within the
            property group
        formField:
          type: boolean
          description: Whether the property can be used in forms
        readOnlyValue:
          type: boolean
          description: Whether the property value is read-only
        readOnlyDefinition:
          type: boolean
          description: Whether the property definition is read-only
        hidden:
          type: boolean
          description: Whether the property is hidden
        mutableDefinitionNotDeletable:
          type: boolean
          description: Whether the property definition can be deleted
        favorited:
          type: boolean
          description: Whether the property is favorited
        favoritedOrder:
          type: integer
          description: The order of the property in the favorites list
        calculated:
          type: boolean
          description: Whether the property is calculated
        externalOptions:
          type: boolean
          description: Whether the property uses external options
        displayMode:
          type: string
          description: The display mode of the property
        createdUserId:
          type: integer
          description: The ID of the user who created the property
        updatedUserId:
          type: integer
          description: The ID of the user who last updated the property
    PropertyOption:
      type: object
      properties:
        description:
          type: string
          description: Description of the option
        label:
          type: string
          description: Human readable label for the option
        value:
          type: string
          description: Internal value for the option
        displayOrder:
          type: integer
          description: Order of the option in the list
        hidden:
          type: boolean
          description: Whether the option is hidden
        readOnly:
          type: boolean
          description: Whether the option is read-only
        doubleData:
          type: number
          description: Additional numeric data for the option

````